<?php
/**Header template. * @package keepmins_mobile */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo( 'html_type' ); ?>; <?php bloginfo( 'charset' ); ?>">
<title><?php wp_title( '-', true, 'right' ); echo esc_html( get_bloginfo('name'), 1 ) ?></title>
<link rel="stylesheet" href="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/style.css" type="text/css" media="all">
<link rel="EditURI" type="application/rsd+xml" title="RSD" href="<?php echo esc_url( site_url() ); ?>/xmlrpc.php?rsd">
<link rel="wlwmanifest" type="application/wlwmanifest+xml" href="<?php echo esc_url( site_url() ); ?>/wp-includes/wlwmanifest.xml">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
<meta name="apple-mobile-web-app-status-bar-style" content="black"> 
<meta name="apple-mobile-web-app-capable" content="yes"> 
<meta name="apple-mobile-web-app-title" content="KeepMins"> 
<meta name="description" content="时光捕手 Keep Minutes 发现记录时光点滴，记录身边的新鲜事" /> 
<meta name="keywords" content="时光捕手, Keep Minutes, <?php keywords();?>" />
<meta name="author" content="Duke Yin" /> 
<link rel="apple-touch-icon-precomposed" href="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/i/iosicon.png">
<link href="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/i/favicon.png" rel="icon" type="image/x-icon" />
<link rel="apple-touch-startup-image" sizes="640x1096" href="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/i/iphone5startup.png">
<!-- iPhone 6 -->
<link href="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/i/iphone6startup.png" media="(device-width: 375px) and (device-height: 667px) and (orientation: portrait) and (-webkit-device-pixel-ratio: 2)" rel="apple-touch-startup-image">
<!-- iPhone 6+ Portrait -->
<link href="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/i/iphone6pstartup.png" media="(device-width: 414px) and (device-height: 736px) and (orientation: portrait) and (-webkit-device-pixel-ratio: 3)" rel="apple-touch-startup-image">
<!-- iPhone 6+ Landscape -->
<link href="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/i/iphone6pstartup.png" media="(device-width: 414px) and (device-height: 736px) and (orientation: landscape) and (-webkit-device-pixel-ratio: 3)" rel="apple-touch-startup-image">
</head>
<body <?php body_class(); ?>>
<!-- New noscript check-->
<noscript>
<div id="noscript">
<h2>通知</h2>
<p>JavaScript目前已关闭。</p>
<p>Turn it on in browser settings to view this mobile website.</p>
</div>
</noscript>
<div id="outer-ajax">
<div id="inner-ajax">
<div id="header">
<a id="logo-icon" href="<?php echo home_url( '/' ); ?>"><span class="iconfont">&#xe001</span></a>
<a id="logo-title" href="<?php echo home_url( '/' ); ?>"><?php bloginfo('name'); ?></a>
<!-- If you disable the menu this menu button won't show, so you'll have to roll your own! -->
<a id="header-menu-toggle" class="no-ajax" href="#"><span id="menu-toggle" class="iconfont">&#xe006</span></a>
</div><!-- header-->
<div id="main-menu" class="closed">
<!-- The Hidden Search Bar -->
<div id="search-bar">
<div id="wptouch-search-inner">
<form method="get" id="searchform" action="<?php echo home_url( '/' );  ?>">
<input type="text" name="s" id="search-input" tabindex="1" placeholder="搜索" />
<input name="submit" type="hidden" id="search-submit-hidden" tabindex="2" />
</form>
</div>
</div>
<!-- The tab Icon Bar -->
<div id="tab-bar">
<div id="tab-inner-wrap-right">
<a id="tab-search" class="no-ajax iconfont" href="#">&#xe002</a>
</div>
<div id="tab-inner-wrap-left">
<a href="#menu-tab1" id="tab-pages" class="first-tab no-ajax selected">菜单</a>
</div>
</div>
<div id="menu-container">
<div style="display: block;" id="menu-tab1">
<h2>MENU</h2>
<!-- Page Menu -->	
<ul>
<?php wp_nav_menu( array( 'theme_location' => 'header_menu', 'container' => 'ul', '$container_class' => '', 'items_wrap' => '%3$s' ) ); ?>
</ul>
</div>
</div><!-- #tab-bar -->
</div>
 <!-- #post area -->
 <?php if ( is_home() and current_user_can( 'publish_posts' ) ) : ?>
<?php 
if( 'POST' == $_SERVER['REQUEST_METHOD'] && !empty( $_POST['action'] ) && $_POST['action'] == 'post' ) {
check_admin_referer( 'new-post' );
$user_id		= $current_user->user_id;
$post_content	= $_POST['posttext'];
$tags			= $_POST['tags'];
$geo_latitude   = $_POST['geo_latitude'];
$geo_longitude   = $_POST['geo_longitude'];
$geo_venue   = $_POST['geo_venue'];
$geo_address   = $_POST['geo_address'];
$geo_qqlat   = $_POST['geo_qqlat'];
$geo_qqlog   = $_POST['geo_qqlog'];
$post_id = wp_insert_post( array(
	'post_author'	=> $user_id,
	'post_title'	=> wp_strip_all_tags($post_content),
	'post_content'	=> $post_content,
	'tags_input'	=> strip_tags($tags),
	'post_status'	=> 'draft'
) );

if($geo_latitude!==''){
add_post_meta($post_id, 'geo_latitude', $geo_latitude, true);
add_post_meta($post_id, 'geo_longitude', $geo_longitude, true);
add_post_meta($post_id, 'geo_venue', $geo_venue, true);
add_post_meta($post_id, 'geo_address', $geo_address, true);
add_post_meta($post_id, 'geo_qqlat', $geo_qqlat, true);
add_post_meta($post_id, 'geo_qqlog', $geo_qqlog, true);
add_post_meta($post_id, 'geo_public', 1, true);
}
set_post_format( $post_id , 'status' );
wp_update_post(array(
			'ID' => $post_id,
			'post_status' => 'publish',
		));
unset($_POST);
echo "<meta http-equiv='refresh' content='0;url=$location' />";
}
?>
<?php endif; ?>
<?php if ( $user_ID ) { ?>
<?php //post form begin
 if( is_home() and current_user_can( 'publish_posts' ) ) {
 ?><div class="posttitle" id="post-title">
<h2 id="slug">Discover Keep the minutes</h2>
<form id="new_post" name="new_post" method="post" action="<?php echo esc_url( home_url() ); ?>/">
<input type="hidden" name="action" value="post" />
<?php wp_nonce_field( 'new-post' ); ?>
<textarea name="posttext" id="posttext" tabindex="1" class="update" /></textarea>
<select id="geo_venue" name="geo_venue" tabindex="3" style="display:none;"></select>
<div id="geoinfo"></div>
<input id="tags" type="text" placeholder="#" autocomplete="off" name="tags">
<p class="meta-options">
<a href="<?php echo wp_logout_url( home_url() ); ?>" class="logoutc"><span class="logout-icon iconfont">&#xe003</span></a>
<span id="geo" onclick="getLocation()" class="geo-icon iconfont">&#xe008</span>
<span id="chickin" onclick="checkin()" class="chickin-icon iconfont" style="display:none">&#xe007</span>
<span id="full" onclick="location='<?php echo esc_url( home_url() ); ?>/full-editor/'" class="full-icon iconfont" >&#xe601</span>
<input type="hidden" value="" id="geo_latitude" name="geo_latitude">
<input type="hidden" value="" id="geo_longitude" name="geo_longitude">
<input type="hidden" value="" id="geo_address" name="geo_address">
<input type="hidden" value="" id="geo_qqlat" name="geo_qqlat">
<input type="hidden" value="" id="geo_qqlog" name="geo_qqlog">
<span id="locating" style="display: none;"></span>
<input id="submit" class="updateinput" type="submit" value="Send" />
</p>
</form></div><p class="clearboth"></p>
<?php }//post form end?>
<?php }else { ?>
<div class="posttitle" id="post-title">
<?php if ( is_home() or is_front_page() ) : ?>
<div class="storycontent">
<form id="signin" action="<?php echo esc_url( home_url() ); ?>/wp-login.php" method="post">
<p class="loginput">
<input type="text" name="log" placeholder="USER" id="log" value="" title="username" tabindex="4" type="text">
<input type="password" name="pwd" placeholder="CODE" id="pwd" value="" title="password" tabindex="5" type="password">
</p>
<p class="remember">
<input name="rememberme" id="rememberme" value="1" tabindex="7" type="checkbox">
<label for="remember">Remember Me</label>
<input name="submit" id="signin_submit" value="Login" tabindex="6" type="submit">
<input type="hidden" name="redirect_to" value="<?php echo $_SERVER['REQUEST_URI']; ?>"/>
</p>
</form>
</div>
<?php endif; ?>
</div><span class="clearboth"></span>
<?php } ?>
<div id="content">